/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on October 10, 2019, 8:25 PM
 */
//------------------------------------------------------------------------------
#include <xc.h>
#include <stdio.h>
#include <stdlib.h>
//------------------------------------------------------------------------------
#define _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include "Lcd4.h"
#include "DS3231_RTC.h"
//------------------------------------------------------------------------------
char strOut[15];  
char tm[] = {0,10,16,7,12,10,19}; //Sec,Min,Hour,WDay,MDay,Month,Year
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{ 
  LCD_init();
  I2C_init(100000);
  //rtc_setDateTime(tm);
  
  while(1)
  {
   rtc_getDateTime(tm);
    
   sprintf(strOut,"Time: %s",get_fullTimeStr(tm));
   LCD_string(0,0,strOut);
   
   sprintf(strOut,"Date: %s",get_fullDateStr(tm));
   LCD_string(1,0,strOut);
   
   __delay_ms(1000);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------